# pg_profile::secured_db
#
# A description of what this class does
#
# @summary A short summary of the purpose of this class
#
# @example
#   include pg_profile::secured_db
#++--++
#
# pg_profile::secured_database
#
# @summary This is a highly customizable Puppet profile class to define an Secured Postgres database on your system.
# In it's core just adding:
# 
# ```
# contain pg_profile::secured_database
# ```
# 
# Is enough to get a secured Postgres database running on your system.
# 
# This profile class is based on the more generic [`pg_profile::database`](./database.html) class, but extends this class with securing the database conforming to the Postgres Center for Internet Security (CIS) rules.
#
#--++--
class pg_profile::secured_database() {
  contain pg_profile::database
  include pg_profile::database::cis_controls
}
